--
--  銀行
--      t_bank
--

-- DROP TABLE t_bank;

CREATE TABLE t_bank
(
    shitennumberkey character varying(20)   NOT NULL,   -- PriKey
    kouzanumberkey  character varying(20)   NOT NULL,   -- PriKey
    lastusedate     timestamp without time zone,

    delflg      boolean,
    adddate     timestamp without time zone,
    upddate     timestamp without time zone,
    updusrnm    character varying(60),
    updpcnm     character varying(60),
    updcnt      integer,

    PRIMARY KEY(shitennumberkey, kouzanumberkey)
);



-- トリガー
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_bank
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
